Bug 1145383 - (CVE-2019-14806) VUL-0: CVE-2019-14806: python-Werkzeug: when used with Docker, has insufficient debugger PIN randomness
(CVE-2019-14806)
VUL-0: CVE-2019-14806: python-Werkzeug: when used with Docker, has insufficie...
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/239364/
CVSSv3:SUSE:CVE-2019-14806:6.2:(AV:L/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-08-13 08:27 UTC by Robert Frohl
Modified: 2022-11-15 11:21 UTC (History)
9 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Robert Frohl 2019-08-13 08:28:04 UTC
tracking all codestreams as affected:
- SUSE:SLE-12:Update
- SUSE:SLE-12-SP3:Update:Products:Cloud8:Update
- SUSE:SLE-12-SP4:Update:Products:Cloud9:Update
- SUSE:SLE-15:Update 
- SUSE:SLE-15-SP1:Update
Comment 2 Swamp Workflow Management 2019-08-14 11:50:06 UTC
This is an autogenerated message for OBS integration:
This bug (1145383) was mentioned in
https://build.opensuse.org/request/show/723279 Factory / python-Werkzeug
Comment 3 Thomas Bechtold 2019-08-14 12:00:25 UTC
SR's are:

- SLE-15-SP1: https://build.suse.de/request/show/198840
- SLE-15: https://build.suse.de/request/show/198842
- SUSE:SLE-12-SP4:Update:Products:Cloud9:Update: https://build.suse.de/request/show/198844
- SUSE:SLE-12-SP3:Update:Products:Cloud8:Update: https://build.suse.de/request/show/198847

Not sure if SUSE:SLE-12:Update is really affected. It's not using the machine-id to generate the PIN.

But this seems to be only affecting debug mode and upstream (see https://werkzeug.palletsprojects.com/en/0.15.x/debug/ ) discourages the debugger usage in production.
Comment 5 Swamp Workflow Management 2019-09-05 16:12:29 UTC
SUSE-SU-2019:2308-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15 (src):    python-Werkzeug-0.12.2-3.3.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    python-Werkzeug-0.12.2-3.3.1, python-Werkzeug-doc-0.12.2-3.3.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    python-Werkzeug-0.12.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-09-10 22:18:28 UTC
openSUSE-SU-2019:2118-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
openSUSE Leap 15.0 (src):    python-Werkzeug-0.12.2-lp150.2.3.1, python-Werkzeug-doc-0.12.2-lp150.2.3.1
Comment 7 Swamp Workflow Management 2019-09-11 19:11:45 UTC
SUSE-SU-2019:2358-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    python-Werkzeug-0.12.2-3.3.1
SUSE OpenStack Cloud 8 (src):    python-Werkzeug-0.12.2-3.3.1
HPE Helion Openstack 8 (src):    python-Werkzeug-0.12.2-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-09-12 13:11:01 UTC
SUSE-SU-2019:2365-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    python-Werkzeug-0.14.1-6.3.1, python-Werkzeug-doc-0.14.1-6.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    python-Werkzeug-0.14.1-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 9 Swamp Workflow Management 2019-09-17 16:10:56 UTC
openSUSE-SU-2019:2145-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
openSUSE Leap 15.1 (src):    python-Werkzeug-0.14.1-lp151.2.3.1, python-Werkzeug-doc-0.14.1-lp151.2.3.1
Comment 10 Swamp Workflow Management 2019-09-18 16:16:18 UTC
SUSE-SU-2019:2400-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    python-Werkzeug-0.14.1-3.3.1
SUSE OpenStack Cloud 9 (src):    python-Werkzeug-0.14.1-3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Swamp Workflow Management 2019-09-20 01:11:37 UTC
SUSE-SU-2019:2365-2: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
Sources used:
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1 (src):    python-Werkzeug-0.14.1-6.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Thomas Leroy 2022-09-06 15:22:36 UTC
cloud-bugs, cloud you please handle the submission for SUSE:SLE-12-SP1:Update? :)
Comment 21 Swamp Workflow Management 2022-11-15 11:21:20 UTC
SUSE-SU-2022:3977-1: An update that fixes one vulnerability is now available.

Category: security (moderate)
Bug References: 1145383
CVE References: CVE-2019-14806
JIRA References: 
Sources used:
SUSE Linux Enterprise Module for Public Cloud 12 (src):    python-Werkzeug-0.12.2-10.10.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.